Subject: Re: bug#36034: [PATCH] Zsh extended_history shows up in comint input ring

From: Matthew Bauer <[email-masked]>
Date: Sun, 23 Jun 2019 18:27:59 -0400

> On Jun 23, 2019, at 12:53 PM, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> I'm not that familiar with the comint/shell code...  but this is done
> in the central comint code, so it would do this for all the modes that
> use comint?  Couldn't that lead to problems in these other modes that
> aren't doing this timestamp thing?

Yes, it does apply for any comint buffer that uses comint-read-input-ring. i had originally thought this was only used by shell-mode, but you are correct that it is used by others. I’ve added defcustom handling to the patch to properly account for this. In addition, I have made some revisions to better account for the extended history prefix. Any additional help on this would be appreciate!